/* Table of constant values */

static int c__4 = 4;

int main(void)
{
    /* Initialized data */
    static float ar[16]  /* was [4][4] */ = { 1.f,.42f,.54f,.66f,.42f,1.f,.32f,
            .44f,.54f,.32f,1.f,.22f,.66f,.44f,.22f,1.f };
    static float ai[16]  /* was [4][4] */ = { 0.f,0.f,0.f,0.f,0.f,0.f,0.f,0.f,
            0.f,0.f,0.f,0.f,0.f,0.f,0.f,0.f };

    /* Local variables */
    static int ierr;
    extern int aeg2c_c(int *, float *, float *, float *, float *, int *);
    static int i__;
    static float evi[4], evr[4];

#define ai_ref(a_1,a_2) ai[(a_2)*4 + a_1 - 5]
#define ar_ref(a_1,a_2) ar[(a_2)*4 + a_1 - 5]

    for (i__ = 1; i__ <= 4; ++i__) {
        printf("\n %15.7e %15.7e %15.7e %15.7e \n",
            ar_ref(i__, 1), ar_ref(i__, 2), ar_ref(i__, 3), ar_ref(i__, 4));
    }
    for (i__ = 1; i__ <= 4; ++i__) {
        printf("\n %15.7e %15.7e %15.7e %15.7e \n",
            ai_ref(i__, 1), ai_ref(i__, 2), ai_ref(i__, 3), ai_ref(i__, 4));
    }
    aeg2c_c(&c__4, ar, ai, evr, evi, &ierr);

    for (i__ = 1; i__ <= 4; ++i__) {
        printf("\n %15.7e %15.7e %15.7e %15.7e \n",
            ar_ref(i__, 1), ar_ref(i__, 2), ar_ref(i__, 3), ar_ref(i__, 4));
    }
    for (i__ = 1; i__ <= 4; ++i__) {
        printf("\n %15.7e %15.7e %15.7e %15.7e \n",
            ai_ref(i__, 1), ai_ref(i__, 2), ai_ref(i__, 3), ai_ref(i__, 4));
    }
    printf("\n %15.7e %15.7e %15.7e %15.7e \n",
                 evr[0], evr[1], evr[2], evr[3]);
    printf("\n %15.7e %15.7e %15.7e %15.7e \n",
                 evi[0], evi[1], evi[2], evi[3]);
    return 0;
} /* main */

#undef ar_ref
#undef ai_ref
